Subject: Re: [PATCH] git-gui: Help identify aspell version on Windows too

From: Gustaf Hendeby <[email-masked]>
Date: Fri, 26 Sep 2008 11:05:55 +0200

On 09/26/2008 08:29 AM, Johannes Sixt wrote:
> Gustaf Hendeby schrieb:
>> On windows, git gui fails to correctly extract the aspell version
>> (experienced with aspell version 0.50.3) due to scilent white space at
>> the end of the version string.  Trim the obtained version string to
>> work around this.
> 
> With this I've partial success here: Aspell 0.50.3 alpha (downloaded from
> http://aspell.net/win32/) is recognized, but
> 
> - it only ever checks the first line of the commit message;

Hmm, strange, I just had it mark my whole first like red, I think it
took an enter at the end of the line to get everything started though.
Does it check the rest of the lines for you?  I know spell checking is
disabled for too early versions of Aspell, due to some change in the
interface I think.

> 
> - after I change the catalog in the Options, I can't "Save" (it does
> nothing), until I change to some other catalog. I haven't discovered the
> pattern, yet, when the "Save" succeeds.
> 
> - At startup the correct catalog is used. But if I change the catalog
> during a session (if I succeed, see above), then the second-last picked
> catalog is used.
> 
> Any idea how to debug this?

I have experienced some saving related issues I think, but I'm not sure.
 Unfortunately I have very little understanding on what is going on in
the code, basically I don't know tcl/tk at all.  I was just lucky to
find a solution to my problem that seemed to work for me.

> 
>> @@ -80,7 +80,7 @@ method _connect {pipe_fd} {
>>  		error_popup [strcat [mc "Unrecognized spell checker"] ":\n\n$s_version"]
>>  		return
>>  	}
>> -	set s_version [string range $s_version 5 end]
>> +			set s_version [string range [string trim $s_version] 5 end]
> 
> A strange indentation you have here.

Yep, sorry about that, seems I had a nonstandard tab-width setting.  Too
bad not all projects can decide on the same tab width. :(  Will resend
if there are no other comments to this, and at the same time fix the
spelling in the commit message...

/Gustaf